org.wildfly.swarm.config.elytron

## Class LdapKeyStore<T extends LdapKeyStore<T>>

- java.lang.Object
- - org.wildfly.swarm.config.elytron.LdapKeyStore<T>

-     public class LdapKeyStore<T extends LdapKeyStore<T>>
      extends Object

  A LdapKeyStore definition.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LdapKeyStore(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `aliasAttribute()` The name of LDAP attribute, where will be item alias stored.
    `T` | `aliasAttribute(String value)` The name of LDAP attribute, where will be item alias stored.
    `String` | `certificateAttribute()` The name of LDAP attribute, where will be certificate stored.
    `T` | `certificateAttribute(String value)` The name of LDAP attribute, where will be certificate stored.
    `String` | `certificateChainAttribute()` The name of LDAP attribute, where will be certificate chain stored.
    `T` | `certificateChainAttribute(String value)` The name of LDAP attribute, where will be certificate chain stored.
    `String` | `certificateChainEncoding()` The encoding of the certificate chain.
    `T` | `certificateChainEncoding(String value)` The encoding of the certificate chain.
    `String` | `certificateType()` The type of the Certificate.
    `T` | `certificateType(String value)` The type of the Certificate.
    `String` | `dirContext()` The name of DirContext, which will be used to communication with LDAP server.
    `T` | `dirContext(String value)` The name of DirContext, which will be used to communication with LDAP server.
    `String` | `filterAlias()` The LDAP filter for obtaining an item of the KeyStore by alias.
    `T` | `filterAlias(String value)` The LDAP filter for obtaining an item of the KeyStore by alias.
    `String` | `filterCertificate()` The LDAP filter for obtaining an item of the KeyStore by certificate.
    `T` | `filterCertificate(String value)` The LDAP filter for obtaining an item of the KeyStore by certificate.
    `String` | `filterIterate()` The LDAP filter for iterating over all items of the KeyStore.
    `T` | `filterIterate(String value)` The LDAP filter for iterating over all items of the KeyStore.
    `String` | `getKey()`
    `String` | `keyAttribute()` The name of LDAP attribute, where will be key stored.
    `T` | `keyAttribute(String value)` The name of LDAP attribute, where will be key stored.
    `String` | `keyType()` The type of KeyStore, in which will be key serialized to LDAP attribute.
    `T` | `keyType(String value)` The type of KeyStore, in which will be key serialized to LDAP attribute.
    `Map` | `newItemTemplate()` Configuration for item creation.
    `T` | `newItemTemplate(Map value)` Configuration for item creation.
    `T` | `newItemTemplate(String key, Object value)` Configuration for item creation.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `String` | `searchPath()` The path in LDAP, where will be KeyStore items searched.
    `T` | `searchPath(String value)` The path in LDAP, where will be KeyStore items searched.
    `Boolean` | `searchRecursive()` If the LDAP search should be recursive.
    `T` | `searchRecursive(Boolean value)` If the LDAP search should be recursive.
    `Integer` | `searchTimeLimit()` The time limit for obtaining keystore items from LDAP.
    `T` | `searchTimeLimit(Integer value)` The time limit for obtaining keystore items from LDAP.
    `Integer` | `size()` The size of LDAP KeyStore in amount of items/aliases.
    `T` | `size(Integer value)` The size of LDAP KeyStore in amount of items/aliases.
    `State` | `state()` The state of the underlying service that represents this KeyStore at runtime, if it is anything other than UP runtime operations will not be available.
    `T` | `state(State value)` The state of the underlying service that represents this KeyStore at runtime, if it is anything other than UP runtime operations will not be available.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LdapKeyStore

          public LdapKeyStore(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### dirContext

          public String dirContext()

      The name of DirContext, which will be used to communication with LDAP server.

    - #### dirContext

          public T dirContext(String value)

      The name of DirContext, which will be used to communication with LDAP server.

    - #### newItemTemplate

          public Map newItemTemplate()

      Configuration for item creation. Define how will look LDAP entry of newly created keystore item.

    - #### newItemTemplate

          public T newItemTemplate(Map value)

      Configuration for item creation. Define how will look LDAP entry of newly created keystore item.

    - #### newItemTemplate

          public T newItemTemplate(String key,
                                   Object value)

      Configuration for item creation. Define how will look LDAP entry of newly created keystore item.

    - #### size

          public Integer size()

      The size of LDAP KeyStore in amount of items/aliases.

    - #### size

          public T size(Integer value)

      The size of LDAP KeyStore in amount of items/aliases.

    - #### state

          public State state()

      The state of the underlying service that represents this KeyStore at runtime, if it is anything other than UP runtime operations will not be available.

    - #### state

          public T state(State value)

      The state of the underlying service that represents this KeyStore at runtime, if it is anything other than UP runtime operations will not be available.

    - #### aliasAttribute

          public String aliasAttribute()

      The name of LDAP attribute, where will be item alias stored.

    - #### aliasAttribute

          public T aliasAttribute(String value)

      The name of LDAP attribute, where will be item alias stored.

    - #### certificateAttribute

          public String certificateAttribute()

      The name of LDAP attribute, where will be certificate stored.

    - #### certificateAttribute

          public T certificateAttribute(String value)

      The name of LDAP attribute, where will be certificate stored.

    - #### certificateChainAttribute

          public String certificateChainAttribute()

      The name of LDAP attribute, where will be certificate chain stored.

    - #### certificateChainAttribute

          public T certificateChainAttribute(String value)

      The name of LDAP attribute, where will be certificate chain stored.

    - #### certificateChainEncoding

          public String certificateChainEncoding()

      The encoding of the certificate chain.

    - #### certificateChainEncoding

          public T certificateChainEncoding(String value)

      The encoding of the certificate chain.

    - #### certificateType

          public String certificateType()

      The type of the Certificate.

    - #### certificateType

          public T certificateType(String value)

      The type of the Certificate.

    - #### keyAttribute

          public String keyAttribute()

      The name of LDAP attribute, where will be key stored.

    - #### keyAttribute

          public T keyAttribute(String value)

      The name of LDAP attribute, where will be key stored.

    - #### keyType

          public String keyType()

      The type of KeyStore, in which will be key serialized to LDAP attribute.

    - #### keyType

          public T keyType(String value)

      The type of KeyStore, in which will be key serialized to LDAP attribute.

    - #### filterAlias

          public String filterAlias()

      The LDAP filter for obtaining an item of the KeyStore by alias. If this is not specified then the default value will be (alias_attribute={0}). The string '{0}' will be replaced by the searched alias and the 'alias_attribute' value will be the value of the attribute 'alias-attribute'.

    - #### filterAlias

          public T filterAlias(String value)

      The LDAP filter for obtaining an item of the KeyStore by alias. If this is not specified then the default value will be (alias_attribute={0}). The string '{0}' will be replaced by the searched alias and the 'alias_attribute' value will be the value of the attribute 'alias-attribute'.

    - #### filterCertificate

          public String filterCertificate()

      The LDAP filter for obtaining an item of the KeyStore by certificate. If this is not specified then the default value will be (certificate_attribute={0}). The string '{0}' will be replaced by searched encoded certificate and the 'certificate_attribute' will be the value of the attribute 'certificate-attribute'.

    - #### filterCertificate

          public T filterCertificate(String value)

      The LDAP filter for obtaining an item of the KeyStore by certificate. If this is not specified then the default value will be (certificate_attribute={0}). The string '{0}' will be replaced by searched encoded certificate and the 'certificate_attribute' will be the value of the attribute 'certificate-attribute'.

    - #### filterIterate

          public String filterIterate()

      The LDAP filter for iterating over all items of the KeyStore. If this is not specified then the default value will be (alias_attribute=*). The 'alias_attribute' will be the value of the attribute 'alias-attribute'.

    - #### filterIterate

          public T filterIterate(String value)

      The LDAP filter for iterating over all items of the KeyStore. If this is not specified then the default value will be (alias_attribute=*). The 'alias_attribute' will be the value of the attribute 'alias-attribute'.

    - #### searchPath

          public String searchPath()

      The path in LDAP, where will be KeyStore items searched.

    - #### searchPath

          public T searchPath(String value)

      The path in LDAP, where will be KeyStore items searched.

    - #### searchRecursive

          public Boolean searchRecursive()

      If the LDAP search should be recursive.

    - #### searchRecursive

          public T searchRecursive(Boolean value)

      If the LDAP search should be recursive.

    - #### searchTimeLimit

          public Integer searchTimeLimit()

      The time limit for obtaining keystore items from LDAP.

    - #### searchTimeLimit

          public T searchTimeLimit(Integer value)

      The time limit for obtaining keystore items from LDAP.

Copyright © 2018 JBoss by Red Hat. All rights reserved.